Target version: Spent time: 0.00 hour

Description

There is new SQLite 3.7.8 release version with following changes:

2011 September 19 (3.7.8)

    -  Orders of magnitude performance improvement for CREATE INDEX on very large tables.

    -  Improved the windows VFS to better defend against interference from anti-virus software.

    -  Improved query plan optimization when the DISTINCT keyword is present.

    -  Allow more system calls to be overridden in the unix VFS - to provide better support for chromium sandboxes.

    -  Increase the default size of a lookahead cache line from 100 to 128 bytes.

    -  Enhancements to the test_quota.c module so that it can track preexisting files.

    -  Bug fix: Virtual tables now handle IS NOT NULL constraints correctly.

    -  Bug fixes: Correctly handle nested correlated subqueries used with indices in a WHERE clause.

    -  SQLITE_SOURCE_ID: "2011-09-19 14:49:19 3e0da808d2f5b4d12046e05980ca04578f581177" 

    -  SHA1 for sqlite3.c: bfcd74a655636b592c5dba6d0d5729c0f8e3b4de

History

#1 - 10/13/2011 12:00 AM - Sender Ghost

- File uppsrc_SQLite.diff added

- Status changed from New to In Progress

- % Done changed from 0 to 100

I downloaded sqlite-amalgamation-3070800.zip archive file from download page.

Farther, I extracted "sqlite3.c" and "sqlite3.h" files to uppsrc/plugin/sqlite3/lib directory and tested reference/SQL_SQLite3 application. Results were the

same, as previous version (for Debug build mode).

Then, I created the patch between current and new versions and uploaded it here, for completion.

#2 - 11/04/2011 10:22 AM - Miroslav Fidler

- Status changed from In Progress to Ready for QA

- Priority changed from Normal to Immediate

#3 - 11/04/2011 11:36 AM - Miroslav Fidler

- Status changed from Ready for QA to Approved

Files

uppsrc_SQLite.diff 388 KB 10/12/2011 Sender Ghost
http://sqlite.org/releaselog/3_7_8.html
http://sqlite.org/sqlite-amalgamation-3070800.zip
http://sqlite.org/download.html
/redmine/projects/upp/repository/revisions/3723/show/trunk/uppsrc/plugin/sqlite3/lib
/redmine/projects/upp/repository/revisions/281/show/trunk/reference/SQL_Sqlite3

